Subject: Re: [PATCH net v1] net/sched: Don't print dump stack in event of transmission timeout

From: Leon Romanovsky <[email-masked]>
Date: Mon, 13 Apr 2020 13:54:08 +0300

On Mon, Apr 13, 2020 at 10:37:24AM +0000, Jose Abreu wrote:
> From: Leon Romanovsky <[email-masked]>
> Date: Apr/13/2020, 11:20:53 (UTC+00:00)
>
> > On Mon, Apr 13, 2020 at 09:01:32AM +0000, Jose Abreu wrote:
> > > From: Leon Romanovsky <[email-masked]>
> > > Date: Apr/12/2020, 07:08:54 (UTC+00:00)
> > >
> > > > [  281.170584] ------------[ cut here ]------------
> > >
> > > Not objecting to the patch it-self (because usually stack trace is
> > > useless), but just FYI we use this marker in our CI to track for timeouts
> > > or crashes. I'm not sure if anyone else is using it.
> >
> > I didn't delete the "NETDEV WATCHDOG .." message and it will be still
> > visible as a marker.
> >
> > >
> > > And actually, can you please explain why BQL is not suppressing your
> > > timeouts ?
> >
> > Driver can't distinguish between "real" timeout and "mixed traffic" timeout,
>
> The point is that you should not get any "mixed traffic" timeout if the
> driver uses BQL because Queue will be disabled long before timeout happens
> as per queue size usage ...

Sorry, if I misunderstood you, but you are proposing to count traffic, right?

If yes, RDMA traffic bypasses the SW stack and not visible to the kernel, hence
the BQL will count only ETH portion of that mixed traffic, while RDMA traffic
is the one who "blocked" transmission channel (QP in RDMA terminology).

Thanks

> ---
> Thanks,
> Jose Miguel Abreu